PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
plask::BoundaryNodeSet Struct Reference

Holds BoundaryNodeSetImpl and delegate all calls to it. More...

`#include <plask/mesh/boundary.hpp>`

Inheritance diagram for plask::BoundaryNodeSet:
[legend]
Collaboration diagram for plask::BoundaryNodeSet:
[legend]

## Public Types
typedef BoundaryNodeSetImpl::const_iterator | const_iterator
typedef BoundaryNodeSetImpl::iterator | iterator

## Public Member Functions
| BoundaryNodeSet (const BoundaryNodeSetImpl *to_hold=nullptr)
| Construct a boundary which holds given boundary logic.
virtual | ~BoundaryNodeSet ()
bool | contains (std::size_t mesh_index) const
| Check if boundary contains point with given index.
const_iterator | begin () const
| Get begin iterator over boundary points.
const_iterator | end () const
| Get end iterator over boundary points.
std::size_t | size () const
| Get number of points in this boundary.
virtual bool | empty () const
| Check if boundary represents empty set of indexes.
Public Member Functions inherited from plask::HolderRef< const BoundaryNodeSetImpl >
| HolderRef ()
| HolderRef (const BoundaryNodeSetImpl *held)
| Construct a holder with given `held` object.
bool | isNotNull () const
bool | isNull () const
void | reset (const BoundaryNodeSetImpl *new_held)

## Additional Inherited Members
Protected Attributes inherited from plask::HolderRef< const BoundaryNodeSetImpl >
shared_ptr< const BoundaryNodeSetImpl > | held
| Hold object. Typically can be nullptr only after move assignment.

## Detailed Description

Holds BoundaryNodeSetImpl and delegate all calls to it.

Definition at line 195 of file boundary.hpp.

## Member Typedef Documentation

## ◆ const_iterator

typedef BoundaryNodeSetImpl::const_iterator plask::BoundaryNodeSet::const_iterator

Definition at line 197 of file boundary.hpp.

## ◆ iterator

typedef BoundaryNodeSetImpl::iterator plask::BoundaryNodeSet::iterator

Definition at line 198 of file boundary.hpp.

## Constructor & Destructor Documentation

## ◆ BoundaryNodeSet()

plask::BoundaryNodeSet::BoundaryNodeSet | ( | const BoundaryNodeSetImpl * | to_hold = `nullptr` | ) |
| inline

Construct a boundary which holds given boundary logic.

Parameters

  to_hold | pointer to object which describe boundary logic

Definition at line 204 of file boundary.hpp.

## ◆ ~BoundaryNodeSet()

virtual plask::BoundaryNodeSet::~BoundaryNodeSet | ( |  | ) |
| inline virtual

Definition at line 206 of file boundary.hpp.

## Member Function Documentation

## ◆ begin()

const_iterator plask::BoundaryNodeSet::begin | ( |  | ) | const
| inline

Get begin iterator over boundary points.

Returns
  begin iterator over boundary points

Definition at line 221 of file boundary.hpp.

## ◆ contains()

bool plask::BoundaryNodeSet::contains | ( | std::size_t | mesh_index | ) | const
| inline

Check if boundary contains point with given index.

Parameters

  mesh_index | valid index of point in `mesh`

Returns
  `true` only if point with index `mesh_index` in `mesh` lies on boundary

Definition at line 213 of file boundary.hpp.

## ◆ empty()

virtual bool plask::BoundaryNodeSet::empty | ( |  | ) | const
| inline virtual

Check if boundary represents empty set of indexes.

Returns
  `true` only if this represents empty set of indexes

Definition at line 245 of file boundary.hpp.

## ◆ end()

const_iterator plask::BoundaryNodeSet::end | ( |  | ) | const
| inline

Get end iterator over boundary points.

Returns
  end iterator over boundary points

Definition at line 229 of file boundary.hpp.

## ◆ size()

std::size_t plask::BoundaryNodeSet::size | ( |  | ) | const
| inline

Get number of points in this boundary.

Returns
  number of points in this boundary

Definition at line 237 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp